# Generated by Django 2.2.20 on 2021-04-27 00:16

import django.contrib.postgres.fields.jsonb
from django.db import migrations, models
import django.db.models.deletion
import django.db.models.manager
import django.utils.timezone
import pages.models
import scarlet.assets.fields
import scarlet.cms.fields
import scarlet.versioning.fields


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        ('assets', '0004_auto_20201027_0949'),
    ]

    operations = [
        migrations.CreateModel(
            name='Page',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('last_save', models.DateTimeField(editable=False)),
                ('is_published', models.BooleanField(default=False, editable=False)),
                ('created_date', models.DateTimeField(default=django.utils.timezone.now, editable=False)),
                ('v_last_save', models.DateTimeField(editable=False, null=True)),
                ('state', models.CharField(choices=[('published', 'published'), ('scheduled', 'scheduled'), ('draft', 'draft'), ('archived', 'archived')], editable=False, max_length=50)),
                ('last_scheduled', models.DateTimeField(editable=False, null=True)),
                ('date_published', models.DateTimeField(editable=False, null=True)),
                ('user_published', models.CharField(editable=False, max_length=255, null=True)),
                ('vid', models.PositiveIntegerField(editable=False, unique=True)),
                ('object_id', models.PositiveIntegerField(editable=False)),
                ('title', models.CharField(max_length=255)),
                ('internal_name', models.CharField(blank=True, help_text='For internal use only.', max_length=255, null=True)),
                ('slug', models.SlugField(help_text='For Homepage use slug `index`', max_length=255)),
                ('seo_description', models.CharField(blank=True, max_length=500, null=True)),
                ('keywords', models.CharField(blank=True, max_length=255, null=True)),
                ('created', models.DateTimeField(default=django.utils.timezone.now, editable=False)),
                ('modified', models.DateTimeField(auto_now=True)),
                ('og_image_urls', django.contrib.postgres.fields.jsonb.JSONField(default=dict, editable=False)),
                ('og_image_alt_text', models.CharField(blank=True, max_length=255, null=True)),
            ],
            options={
                'managed': False,
                'db_table': 'pages_page_base',
            },
            bases=(models.Model, pages.models.PageReferences),
            managers=[
                ('objects', django.db.models.manager.Manager()),
                ('normal', django.db.models.manager.Manager()),
            ],
        ),
        migrations.CreateModel(
            name='Page_base',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('is_published', models.BooleanField(default=False, editable=False)),
                ('created_date', models.DateTimeField(default=django.utils.timezone.now, editable=False)),
                ('v_last_save', models.DateTimeField(editable=False, null=True)),
            ],
            options={
                'abstract': False,
            },
        ),
        migrations.CreateModel(
            name='Page_version',
            fields=[
                ('last_save', models.DateTimeField(editable=False)),
                ('state', models.CharField(choices=[('published', 'published'), ('scheduled', 'scheduled'), ('draft', 'draft'), ('archived', 'archived')], editable=False, max_length=50)),
                ('last_scheduled', models.DateTimeField(editable=False, null=True)),
                ('date_published', models.DateTimeField(editable=False, null=True)),
                ('user_published', models.CharField(editable=False, max_length=255, null=True)),
                ('title', models.CharField(max_length=255)),
                ('internal_name', models.CharField(blank=True, help_text='For internal use only.', max_length=255, null=True)),
                ('slug', models.SlugField(help_text='For Homepage use slug `index`', max_length=255)),
                ('seo_description', models.CharField(blank=True, max_length=500, null=True)),
                ('keywords', models.CharField(blank=True, max_length=255, null=True)),
                ('created', models.DateTimeField(default=django.utils.timezone.now, editable=False)),
                ('modified', models.DateTimeField(auto_now=True)),
                ('vid', models.AutoField(primary_key=True, serialize=False)),
                ('og_image_urls', django.contrib.postgres.fields.jsonb.JSONField(default=dict, editable=False)),
                ('og_image_alt_text', models.CharField(blank=True, max_length=255, null=True)),
                ('object', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='version_version', to='pages.Page_base')),
                ('og_image', scarlet.assets.fields.AssetsFileField(blank=True, denormalize=False, null=True, on_delete=django.db.models.deletion.PROTECT, related_name='+', to='assets.Asset', verbose_name='Open Graph Image')),
            ],
            options={
                'managed': True,
            },
            bases=(models.Model, pages.models.PageVersionReferences),
            managers=[
                ('objects', django.db.models.manager.Manager()),
                ('normal', django.db.models.manager.Manager()),
            ],
        ),
        migrations.CreateModel(
            name='TwoColumnModule',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('last_save', models.DateTimeField(editable=False)),
                ('order', scarlet.cms.fields.OrderField(db_index=True, default=0)),
                ('internal_name', models.CharField(blank=True, max_length=255, null=True)),
                ('style', models.CharField(blank=True, max_length=255, null=True)),
                ('behavior', models.CharField(blank=True, max_length=255, null=True)),
                ('left_header', models.CharField(blank=True, max_length=255, null=True, verbose_name='Header Text')),
                ('left_description', scarlet.cms.fields.HTMLTextField(blank=True, null=True)),
                ('left_button_url', models.URLField(blank=True, null=True)),
                ('left_button_text', models.CharField(blank=True, max_length=100, null=True)),
                ('right_header', models.CharField(blank=True, max_length=255, null=True, verbose_name='Header Text')),
                ('right_description', scarlet.cms.fields.HTMLTextField(blank=True, null=True)),
                ('right_button_url', models.URLField(blank=True, null=True)),
                ('right_button_text', models.CharField(blank=True, max_length=100, null=True)),
                ('left_image_urls', django.contrib.postgres.fields.jsonb.JSONField(default=dict, editable=False)),
                ('left_image_alt_text', models.CharField(blank=True, max_length=255, null=True)),
                ('right_image_urls', django.contrib.postgres.fields.jsonb.JSONField(default=dict, editable=False)),
                ('right_image_alt_text', models.CharField(blank=True, max_length=255, null=True)),
                ('left_image', scarlet.assets.fields.AssetsFileField(blank=True, denormalize=False, null=True, on_delete=django.db.models.deletion.PROTECT, related_name='+', to='assets.Asset')),
                ('page', scarlet.versioning.fields.FKToVersion(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, related_name='two_column_modules', to='pages.Page_version')),
                ('right_image', scarlet.assets.fields.AssetsFileField(blank=True, denormalize=False, null=True, on_delete=django.db.models.deletion.PROTECT, related_name='+', to='assets.Asset')),
            ],
            options={
                'abstract': False,
            },
        ),
        migrations.CreateModel(
            name='LocationModule',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('last_save', models.DateTimeField(editable=False)),
                ('order', scarlet.cms.fields.OrderField(db_index=True, default=0)),
                ('internal_name', models.CharField(blank=True, max_length=255, null=True)),
                ('style', models.CharField(blank=True, max_length=255, null=True)),
                ('behavior', models.CharField(blank=True, max_length=255, null=True)),
                ('page', scarlet.versioning.fields.FKToVersion(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, related_name='location_modules', to='pages.Page_version')),
            ],
            options={
                'abstract': False,
            },
        ),
        migrations.CreateModel(
            name='LocationItem',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('last_save', models.DateTimeField(editable=False)),
                ('order', scarlet.cms.fields.OrderField(db_index=True, default=0)),
                ('internal_name', models.CharField(blank=True, max_length=255, null=True)),
                ('style', models.CharField(blank=True, max_length=255, null=True)),
                ('behavior', models.CharField(blank=True, max_length=255, null=True)),
                ('title', models.CharField(max_length=255)),
                ('address1', models.CharField(help_text='Street address, P.O. Box', max_length=255)),
                ('address2', models.CharField(blank=True, help_text='Apartment, suite, unit, building, floor, etc', max_length=255, null=True)),
                ('city', models.CharField(blank=True, max_length=255, null=True)),
                ('region', models.CharField(blank=True, max_length=255, null=True, verbose_name='State/Province/Region')),
                ('zip_code', models.CharField(blank=True, max_length=10, null=True, verbose_name='Zip/Postal Code')),
                ('country', models.CharField(blank=True, max_length=100, null=True)),
                ('hours', scarlet.cms.fields.HTMLTextField(blank=True, null=True)),
                ('phone_number', models.CharField(blank=True, max_length=20, null=True)),
                ('module', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, related_name='location_items', to='pages.LocationModule')),
            ],
            options={
                'abstract': False,
            },
        ),
        migrations.CreateModel(
            name='ImageGalleryModule',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('last_save', models.DateTimeField(editable=False)),
                ('order', scarlet.cms.fields.OrderField(db_index=True, default=0)),
                ('internal_name', models.CharField(blank=True, max_length=255, null=True)),
                ('style', models.CharField(blank=True, max_length=255, null=True)),
                ('behavior', models.CharField(blank=True, max_length=255, null=True)),
                ('page', scarlet.versioning.fields.FKToVersion(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, related_name='gallery_modules', to='pages.Page_version')),
            ],
            options={
                'abstract': False,
            },
        ),
        migrations.CreateModel(
            name='IconListModule',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('last_save', models.DateTimeField(editable=False)),
                ('order', scarlet.cms.fields.OrderField(db_index=True, default=0)),
                ('internal_name', models.CharField(blank=True, max_length=255, null=True)),
                ('style', models.CharField(blank=True, max_length=255, null=True)),
                ('behavior', models.CharField(blank=True, max_length=255, null=True)),
                ('title', models.CharField(max_length=255)),
                ('subtitle', models.CharField(blank=True, max_length=255, null=True)),
                ('footnote', models.CharField(blank=True, max_length=255, null=True)),
                ('page', scarlet.versioning.fields.FKToVersion(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, related_name='icon_list_modules', to='pages.Page_version')),
            ],
            options={
                'abstract': False,
            },
        ),
        migrations.CreateModel(
            name='IconListItem',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('last_save', models.DateTimeField(editable=False)),
                ('text', scarlet.cms.fields.HTMLTextField(blank=True, null=True)),
                ('order', scarlet.cms.fields.OrderField(db_index=True, default=0)),
                ('icon_urls', django.contrib.postgres.fields.jsonb.JSONField(default=dict, editable=False)),
                ('icon_alt_text', models.CharField(blank=True, max_length=255, null=True)),
                ('icon', scarlet.assets.fields.AssetsFileField(denormalize=False, on_delete=django.db.models.deletion.PROTECT, related_name='+', to='assets.Asset')),
                ('module', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, related_name='icon_list_items', to='pages.IconListModule')),
            ],
            options={
                'abstract': False,
            },
        ),
        migrations.CreateModel(
            name='HeroModule',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('last_save', models.DateTimeField(editable=False)),
                ('order', scarlet.cms.fields.OrderField(db_index=True, default=0)),
                ('internal_name', models.CharField(blank=True, max_length=255, null=True)),
                ('style', models.CharField(blank=True, max_length=255, null=True)),
                ('behavior', models.CharField(blank=True, max_length=255, null=True)),
                ('header', models.CharField(blank=True, max_length=255, null=True, verbose_name='Header Text')),
                ('subheader', models.CharField(blank=True, max_length=255, null=True, verbose_name='Subheader Text')),
                ('button_url', models.URLField(blank=True, null=True)),
                ('button_text', models.CharField(blank=True, max_length=100, null=True)),
                ('image_urls', django.contrib.postgres.fields.jsonb.JSONField(default=dict, editable=False)),
                ('image_alt_text', models.CharField(blank=True, max_length=255, null=True)),
                ('image', scarlet.assets.fields.AssetsFileField(blank=True, denormalize=False, null=True, on_delete=django.db.models.deletion.PROTECT, related_name='+', to='assets.Asset')),
                ('page', scarlet.versioning.fields.FKToVersion(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, related_name='hero_modules', to='pages.Page_version')),
            ],
            options={
                'abstract': False,
            },
        ),
        migrations.CreateModel(
            name='HeaderModule',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('last_save', models.DateTimeField(editable=False)),
                ('order', scarlet.cms.fields.OrderField(db_index=True, default=0)),
                ('internal_name', models.CharField(blank=True, max_length=255, null=True)),
                ('style', models.CharField(blank=True, max_length=255, null=True)),
                ('behavior', models.CharField(blank=True, max_length=255, null=True)),
                ('header', models.CharField(blank=True, max_length=255, null=True, verbose_name='Header Text')),
                ('subheader', models.CharField(blank=True, max_length=255, null=True, verbose_name='Subheader Text')),
                ('page', scarlet.versioning.fields.FKToVersion(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, related_name='header_modules', to='pages.Page_version')),
            ],
            options={
                'abstract': False,
            },
        ),
        migrations.CreateModel(
            name='GalleryImage',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('last_save', models.DateTimeField(editable=False)),
                ('order', scarlet.cms.fields.OrderField(db_index=True, default=0)),
                ('internal_name', models.CharField(blank=True, max_length=255, null=True)),
                ('style', models.CharField(blank=True, max_length=255, null=True)),
                ('behavior', models.CharField(blank=True, max_length=255, null=True)),
                ('image_urls', django.contrib.postgres.fields.jsonb.JSONField(default=dict, editable=False)),
                ('image_alt_text', models.CharField(blank=True, max_length=255, null=True)),
                ('image', scarlet.assets.fields.AssetsFileField(blank=True, denormalize=False, null=True, on_delete=django.db.models.deletion.PROTECT, related_name='+', to='assets.Asset')),
                ('module', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, related_name='gallery_images', to='pages.ImageGalleryModule')),
            ],
            options={
                'abstract': False,
            },
        ),
        migrations.CreateModel(
            name='FAQModule',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('last_save', models.DateTimeField(editable=False)),
                ('order', scarlet.cms.fields.OrderField(db_index=True, default=0)),
                ('internal_name', models.CharField(blank=True, max_length=255, null=True)),
                ('style', models.CharField(blank=True, max_length=255, null=True)),
                ('behavior', models.CharField(blank=True, max_length=255, null=True)),
                ('page', scarlet.versioning.fields.FKToVersion(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, related_name='faq_modules', to='pages.Page_version')),
            ],
            options={
                'abstract': False,
            },
        ),
        migrations.CreateModel(
            name='FAQItem',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('last_save', models.DateTimeField(editable=False)),
                ('order', scarlet.cms.fields.OrderField(db_index=True, default=0)),
                ('internal_name', models.CharField(blank=True, max_length=255, null=True)),
                ('style', models.CharField(blank=True, max_length=255, null=True)),
                ('behavior', models.CharField(blank=True, max_length=255, null=True)),
                ('question', models.CharField(max_length=255)),
                ('answer', scarlet.cms.fields.HTMLTextField()),
                ('module', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, related_name='faq_items', to='pages.FAQModule')),
            ],
            options={
                'abstract': False,
            },
        ),
        migrations.CreateModel(
            name='CarouselModule',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('last_save', models.DateTimeField(editable=False)),
                ('order', scarlet.cms.fields.OrderField(db_index=True, default=0)),
                ('internal_name', models.CharField(blank=True, max_length=255, null=True)),
                ('style', models.CharField(blank=True, max_length=255, null=True)),
                ('behavior', models.CharField(blank=True, max_length=255, null=True)),
                ('button_url', models.URLField(blank=True, null=True)),
                ('button_text', models.CharField(blank=True, max_length=100, null=True)),
                ('page', scarlet.versioning.fields.FKToVersion(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, related_name='carousel_modules', to='pages.Page_version')),
            ],
            options={
                'abstract': False,
            },
        ),
        migrations.CreateModel(
            name='CarouselItem',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('last_save', models.DateTimeField(editable=False)),
                ('order', scarlet.cms.fields.OrderField(db_index=True, default=0)),
                ('internal_name', models.CharField(blank=True, max_length=255, null=True)),
                ('style', models.CharField(blank=True, max_length=255, null=True)),
                ('behavior', models.CharField(blank=True, max_length=255, null=True)),
                ('title', models.CharField(max_length=255)),
                ('subtitle', models.CharField(blank=True, max_length=255, null=True)),
                ('button_url', models.URLField(blank=True, null=True)),
                ('button_text', models.CharField(blank=True, max_length=100, null=True)),
                ('image_urls', django.contrib.postgres.fields.jsonb.JSONField(default=dict, editable=False)),
                ('image_alt_text', models.CharField(blank=True, max_length=255, null=True)),
                ('image', scarlet.assets.fields.AssetsFileField(blank=True, denormalize=False, null=True, on_delete=django.db.models.deletion.PROTECT, related_name='+', to='assets.Asset')),
                ('module', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, related_name='carousel_items', to='pages.CarouselModule')),
            ],
            options={
                'abstract': False,
            },
        ),
    ]
